package com.sifang.modules.bestsign.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class BestSignCallBackDataRes {

    private String bizNo;
    private List<String> contractIds;
    private String senderUserAccount;
    private String senderBusinessLine;
    private String senderEnterpriseName;

    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }

    public void setContractIds(List<String> contractIds) {
        this.contractIds = contractIds;
    }

    public void setSenderUserAccount(String senderUserAccount) {
        this.senderUserAccount = senderUserAccount;
    }

    public void setSenderBusinessLine(String senderBusinessLine) {
        this.senderBusinessLine = senderBusinessLine;
    }

    public void setSenderEnterpriseName(String senderEnterpriseName) {
        this.senderEnterpriseName = senderEnterpriseName;
    }

    public String getBizNo() {
        return bizNo;
    }

    public List<String> getContractIds() {
        return contractIds;
    }

    public String getSenderUserAccount() {
        return senderUserAccount;
    }

    public String getSenderBusinessLine() {
        return senderBusinessLine;
    }

    public String getSenderEnterpriseName() {
        return senderEnterpriseName;
    }

    @Override
    public String toString() {
        return "BestSignCallBackDataRes{" +
                "bizNo='" + bizNo + '\'' +
                ", contractIds=" + contractIds +
                ", senderUserAccount='" + senderUserAccount + '\'' +
                ", senderBusinessLine='" + senderBusinessLine + '\'' +
                ", senderEnterpriseName='" + senderEnterpriseName + '\'' +
                '}';
    }
}
